LibreOffice: XActivationBroadcaster Interface Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XActivationBroadcaster Interface Referencepublished

provides methods to add and remove XActivationEventListener More...

`import"XActivationBroadcaster.idl";`

Inheritance diagram for XActivationBroadcaster:

## Public Member Functions
void | addActivationEventListener ([in] com::sun::star::sheet::XActivationEventListener aListener)
| allows a component supporting the XActivationEventListener interface to register as listener. More...
void | removeActivationEventListener ([in] com::sun::star::sheet::XActivationEventListener aListener)
| removes a previously registered listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to add and remove XActivationEventListener

Since
  OOo 2.0

## Member Function Documentation

void addActivationEventListener | ( | [in] com::sun::star::sheet::XActivationEventListener | aListener | ) |

allows a component supporting the XActivationEventListener interface to register as listener.

The component will be notified with a ActivationEvent every time the active sheet changes.

Parameters

  aListener | the component that is to be added as listener

See also
  XActivationEventListener
  ActivationEvent

void removeActivationEventListener | ( | [in] com::sun::star::sheet::XActivationEventListener | aListener | ) |

removes a previously registered listener.

Parameters

  aListener | the component that is to be removed

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XActivationBroadcaster.idl